
Infrastructure - Bug #5567

How to determine if indexing on Metacat is turned of?

2014-07-13 03:02 - Robert Waltz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

I'm seeing a lot of these errors on cn-orc-1 in production. It appears that indexing is not really turned off despite our past efforts.

edu.ucsb.nceas.metacat.McdbException: SQL error when building Index: ERROR: index row size 3456 exceeds maximum 2712 for

index "xml_path_index_idx2"

at edu.ucsb.nceas.metacat.DocumentImpl.buildIndex(DocumentImpl.java:1817)

at edu.ucsb.nceas.metacat.IndexingTask.run(IndexingQueue.java:204)

Related issues:

Duplicates Infrastructure - Task #6065: Fix dataone-cn-metacat installation t... Closed 2014-08-21

History

#1 - 2014-07-14 21:05 - Robert Waltz

- Assignee changed from Robert Waltz to Jing Tao

#2 - 2014-08-26 00:50 - Jing Tao

- Status changed from New to Closed

Metacat has two level of index - xml_index and xml_path_index. The xml_index was controlled by database.usexmlindex. This value was reset in the

code long time ago.

The xml_path_index was controlled the value of dbquery.enabledEngines. If "pathquery" was removed. Everything related to xml_path_index will be

disabled. The code to remove "pathquery" was added to both the trunk and  DATAONE-CN-METACAT_v2.4 branch.

However, we found a bug on Metacat. The removal "pathquery" didn't disable a process for pathquery in the initialization of Metacat. The bug was

fixed in both Metacat trunk and Metacat 2.4 branch.

I tested code in cn-dev and cn-sandbox. It worked.
